STRUCT TEM(3)

NAME
boost::intrusive::make_set_member_hook

SYNOPSIS

// In header: <boost/intrusive/set_hook.hpp>
template<class... Options>
struct make_set_member_hook {
  // types
  typedef unspecified            implementation_defined;
  typedef implementation_defined type;
  < hook_defaults, O1, O2, O3, O4 >::type packed_options;  // @ typedef typename pack_options
};

DESCRIPTION

Helper metafunction to define a set_member_hook that yields to the same type when the same options (either explicitly or implicitly) are used.